Bug 96505 - Get rid of cargo cult "long" integer literals
Summary: Get rid of cargo cult "long" integer literals
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.3.0 target:5.4....
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2015-12-15 12:56 UTC by Tor Lillqvist
Modified: 2018-05-19 15:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Remove "long" literals from cui/source/tabpages directory (11.45 KB, patch)
2017-07-10 18:07 UTC, Ivan Safonov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Lillqvist 2015-12-15 12:56:30 UTC
We have tons of instances of the 'long' integer literals 0L and 1L in the code. (And also some 2L etc.) I am fairly certain that in the majority of cases, no compiler warnings would be produced, and the semantics of the code would be identical, and the generated machine code would be identical, if the 'L' was dropped. But feel free to prove me wrong, of course.

If you want to work on this, don't change them all in one go. Do it a "reasonable" number of source files at a time. (So that the total number of changed lines in each change is a hundred or so.) And make sure that you indeed don't introduce any compiler warnings. Don't do a change if you are at all unsure whether it indeed might have a semantic effect on what the code means.
Comment 1 David Tardon 2015-12-16 09:14:16 UTC
Don't do this for any argument of CPPUNIT_*EQUAL* or std::min/std::max (unless the template type is explicitly specified). That would cause compilation failure on some platforms.
Comment 2 Robinson Tryon (qubit) 2016-02-18 14:52:36 UTC Comment hidden (obsolete)
Comment 3 Commit Notification 2016-03-04 06:42:27 UTC
Aleksas Pantechovskis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57d0caacee2f395be2e89b78f8ece2d47b2c8683

tdf#96505 Remove long integer literal specifier when not needed

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Tor Lillqvist 2016-03-04 06:46:37 UTC
Thanks for taking up this.
Comment 5 Michael Stahl (CIB) 2016-03-30 10:51:37 UTC
i'm not sure if it's a good idea to do this as an easy-hack:
there is a nasty corner case with vararg calls that could bite us
in annoyingly platform dependent ways.

http://blog.regehr.org/archives/1303
Comment 6 Tor Lillqvist 2016-03-30 11:07:06 UTC
But if we have code passes 0L as a vararg where the callee is expecting a pointer, this is already broken for 64-bit Windows, where long is 32-bit, right?
Comment 7 Commit Notification 2016-03-30 12:49:51 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba0a866b83f016fd460320e7d057dd107e019f19

tdf#96505: fix wrong SfxDispatcher::Execute calls ...

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-03-31 20:44:30 UTC
slideon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=75092faa821b236eaed27b7d0e6f1f1a28d1a2e2

tdf#96505 Remove 0L occurences from avmedia and basegfx modules

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-04-30 15:12:54 UTC
erdemdemirkapi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e070fa3eab9cef868aab38643060e20ae0c77b26

tdf#96505 Get rid of cargo cult long integer literals

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 jani 2016-06-14 10:00:57 UTC
Controlled, still open
Comment 11 Commit Notification 2016-06-14 13:49:29 UTC
apurvapriyadarshi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4537a027c5c734e094191d01a46c2da734dbfe5b

tdf#96505 Get rid of cargo cult long integer literals

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2016-06-14 13:50:48 UTC
krishna keshav committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3c573174dab0f1c6a85ce50ad4210c8772bdcf9a

tdf#96505 Get rid of cargo cult long integer literals

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 jani 2016-06-15 05:49:58 UTC
Assuming still open
Comment 14 Commit Notification 2016-06-27 06:20:47 UTC
apurvapriyadarshi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4b332358789c0d4df88401021c17e0c88671eb3

tdf#96505 Get rid of cargo cult long integer literals

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Nadith Malinda 2016-07-11 18:01:39 UTC
is this still open..if so i can fix this.
can you show me good starting pointers
Comment 16 jani 2016-07-12 19:40:28 UTC
(In reply to Nadith Malinda from comment #15)
> is this still open..if so i can fix this.
> can you show me good starting pointers

Yes there are still tons of long constant in the code, follow the advice in comment #1. This is one of the cases, where you have to search the code using e.g. opengrok.libreoffice.org

Have a look at 
https://wiki.documentfoundation.org/Development/GetInvolved

Have fun
rgds
jan I.
Comment 17 Asela 2016-07-20 03:22:45 UTC
Helllo 

I would like to contribute to this bug as my first bug fixing.
Can you show me starting pointers.
Comment 18 jani 2016-07-20 05:49:37 UTC
(In reply to Asela from comment #17)
> Helllo 
> 
> I would like to contribute to this bug as my first bug fixing.
> Can you show me starting pointers.

Welcome, there are no special code pointers for this bug, because the e.g. 0L is distributed all over the code.

use e.g. http://opengrok.libreoffice.org/ to find the lines.

Please also have a look at:
https://wiki.documentfoundation.org/Development/GetInvolved
Comment 19 Asela 2016-07-21 17:53:59 UTC
Thanks jan for help.
Sorry for late reply.
I am working on it.
Comment 20 Commit Notification 2016-07-30 23:30:31 UTC
Asela Dasanayaka committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cf0fea5546c9b6b30d18deb084ddaa5e08aad41b

tdf#96505 get rid of "long" integer literals 'L'

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 jani 2016-08-05 19:02:56 UTC
Please be aware, that this easyhack is considered an important but large scale cosmetic change as described in https://wiki.documentfoundation.org/Development/LargeScaleChanges

It was in decided by the ESC to close this kind of easyhacks, and send them directly as mail, to new contributors.
https://lists.freedesktop.org/archives/libreoffice/2016-August/074920.html

Please do not submit patches with many files !!

This particular easyhack is kept open as an exception to the rule
Comment 22 Commit Notification 2016-08-24 12:17:16 UTC
Asela Dasanayaka committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a9bda90b3ad8ad8bb1e76c73e10df5c73607907f

tdf#96505 get rid of long integer literals 'L'

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2016-08-24 12:18:52 UTC
Asela Dasanayaka committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9fcfe485cd23d7e560aa05efbd02401d62d144dd

tdf#96505 get rid of "long" integer literals 'L'

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2016-08-24 12:21:33 UTC
Asela Dasanayaka committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=057ae1cfcac518e5693e75aca87d307ce90ba6fb

tdf#96505 get rid of "long" integer literals 'L'

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2016-09-16 09:00:30 UTC
e12346 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=171201c574b325653794bcd851d0aa7a80dc3249

tdf#96505 - Remove "long" integer literals in vcl/source/gdi/

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2016-09-25 07:16:35 UTC
Rosen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dad35b0463a16d3d6eca068100e95822ae466a9a

tdf#96505  Get rid of cargo cult "long" integer literals

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2016-09-26 19:15:22 UTC
Rosen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=622bb4bc72ee6e8eae3193e80e13748be150e1e0

tdf#96505 Get rid of cargo cult "long" integer literals

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 jani 2016-09-27 05:44:59 UTC
This does not apply to the "external" directory.
Comment 29 Commit Notification 2016-10-25 07:16:03 UTC
Rosen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8ae33b1652cb1e654c426350169d3bb9fa031a4f

tdf#96505 Get rid of cargo cult "long" integer literals

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2016-10-25 09:23:02 UTC
jan iversen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9183e2cec024c28fb26f9f9f83530bd002d539c9

Revert "tdf#96505 Get rid of cargo cult "long" integer literals"

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Udayan 2017-03-14 09:35:37 UTC
I am starting work on this bug. This will be my first LibreOffice bug.
Comment 32 Tor Lillqvist 2017-03-14 09:36:35 UTC
No need to assign the bug to yourself if you want to work on this. There are so many of these that there is room for several people to work on them at the same time.
Comment 33 Tor Lillqvist 2017-03-14 09:38:27 UTC
Also note that doing this just mechanically, without actually checking in what cases there might be a reason to use a long literal, is way too trivial and does not pre-qualify you for GSoC. (In my opinion, but I am not a (potential) GSoC mentor.)
Comment 34 Udayan 2017-03-14 09:42:18 UTC
I understand . I will try to give meaningful commits.
Comment 35 Commit Notification 2017-03-21 12:32:12 UTC
dilekuzulmez committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e73505fe0fb44075b462a20a3b2091063db5e1b3

tdf#96505 Get rid of cargo cult long integer literals

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 36 Commit Notification 2017-03-21 14:12:52 UTC
udaycoder committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=68bd686b2ca62602fd4b580b905baaa0a04d1f3c

tdf#96505 - Get rid of cargo cult long integer literals

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 37 Commit Notification 2017-03-28 11:32:25 UTC
Thomas Beck committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=659cb8466495a15a680f684ec4aa1f1d3c4225cc

tdf#96505 Get rid of cargo cult "long" integer literals

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 38 Commit Notification 2017-04-12 14:32:53 UTC
dilekuzulmez committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ef5757ab06743fc56d5bf74d7244edf01acfa842

tdf#96505 Get rid of cargo cult long integer literals

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 39 jani 2017-05-14 07:43:24 UTC Comment hidden (obsolete)
Comment 40 Kesara Gamlath 2017-06-27 06:34:12 UTC
Hello,

I am new here. Can I contribute to this bug as my first bug? Is this bug still open?
Comment 41 Tor Lillqvist 2017-06-27 07:31:06 UTC
Just git grep for such literals and see?
Comment 42 Udaree Kanewala 2017-07-03 23:00:11 UTC
Hello,

I would like to contribute to this bug as my first bug fix. 
Is this bug still open?
Comment 43 Tor Lillqvist 2017-07-03 23:01:25 UTC
See the literally previous comment...
Comment 44 Udaree Kanewala 2017-07-03 23:04:27 UTC
Thanks. I'll get started and see.
Comment 45 Commit Notification 2017-07-04 10:26:24 UTC
Jens Carl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=998532d8542b87b4069416ca48d1fc90e8d8ed70

tdf#96505 Get rid of cargo cult "long" integer literals

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 46 Ivan Safonov 2017-07-10 18:07:43 UTC
Created attachment 134576 [details]
Remove "long" literals from cui/source/tabpages directory
Comment 47 Commit Notification 2017-07-14 14:58:25 UTC
Ivan Safonov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d2adc30aa0bb843ace819277c68871a86a8418e8

tdf#96505 Get rid of cargo cult "long" integer literals

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 48 Commit Notification 2017-09-24 18:19:43 UTC
66kesara99 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=16549dc267149aaf098191591acb20024ea21513

tdf#96505 Get rid of cargo cult "long" integer literals

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 49 Tor Lillqvist 2017-09-27 11:52:39 UTC
Please don't assign this bug to yourself. There is room for multiple people working on this bug. Nobody is going to "fix" all the cases of cargo cult long literals.
Comment 50 Commit Notification 2017-10-05 15:58:36 UTC
udareechk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2f3b95246362aa8290e06b29fc44ee8dafa48aa8

tdf#96505 Get rid of cargo cult long integer literals

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 51 Commit Notification 2017-10-05 15:59:57 UTC
udareechk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f89b3d4bc24a3237f404bb6cb449ce28ce3f5a08

tdf#96505 Get rid of cargo cult long integer literals

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 52 Commit Notification 2017-10-23 12:50:22 UTC
udareechk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bafc68b9e72cab0de949a8f2bc49a832c3517623

tdf#96505 Get rid of cargo cult long integer literals

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 53 Commit Notification 2017-10-23 12:51:43 UTC
udareechk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1fe94cb6152737632e543ef8f8534f15203dc747

tdf#96505 Get rid of cargo cult long integer literals

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 54 Commit Notification 2017-10-23 14:52:42 UTC
udareechk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=022b1b2a40fcaf8d201081dead44c1d3346d1972

tdf#96505 Get rid of cargo cult long integer literals

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 55 Commit Notification 2017-10-30 14:58:13 UTC
udareechk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f9b3a1db585e103bb93be0b5954de6858ad42c51

tdf#96505 Get rid of cargo cult long integer literals

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 56 Commit Notification 2017-12-05 15:04:25 UTC
ekuiitr committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c7d3440fed86c7ef986cdaf57dfe2017325ff190

tdf#96505 removed "L" literal

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 57 Commit Notification 2017-12-11 21:04:01 UTC
tagezi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=baadb184e84568acd1c6efda95c3715b05818da3

tdf#96505 Deleted suffix long (L) where it is possible

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 58 Tor Lillqvist 2018-01-19 11:36:15 UTC
Please don't assign this bug to yourself, there is ample work available here for multiple people to work on in parallel. (Just mention what part of the codebase you are looking at in a comment if you want to make sure nobody else is working on the same part at the same time.)

Also, note that even if I files this bug as an EasyHack, I now more think that this is actually the kind of thing that could better be solved by a Clang rewriting plug-in. 

Also, in my opinion, submitting a commit for this EasyHack that changes just a few long literals to plain int ones does not really require much skill, so if I were a GSoC mentor (I am not), I would not put too much value into it.
Comment 59 Tor Lillqvist 2018-01-19 11:38:54 UTC
Note that for actual impressiveness, it would be nice to also see some newbie take me up on the "feel free to prove me wrong" part of the initial comment;) Such a write-up on some part of the code where long literals are now used might be a sign of deeper understanding of some aspect of the code and C++.
Comment 60 Baltasar 2018-05-19 10:19:51 UTC
No warnings now. No change in semantics if changed. Careful with corner cases when fixing... What's the point? What are the expected benefits?
Comment 61 Tor Lillqvist 2018-05-19 15:00:55 UTC
@Baltasar: The benefit is to get rid of the cargo cult long integer literals. Avoiding the possibility that somebody reading the code things that it actually makes a difference to have those integer literals "long". And copying that without thinking. 

Code is read much more than it was written. Tens of years later. By other people. We certainly know that in LibreOffice, where parts of the codebase is over 20 years old. And full of weird stuff that you don't know whether it actually has a meaning.